namespace theBiasPlanet {
	namespace unoUtilities {
		namespace connectionsHandling {
			using System;
			using System.Collections.Generic;
			using unoidl.com.sun.star.connection;
			using theBiasPlanet.coreUtilities.stringsHandling;
			using theBiasPlanet.unoUtilities.constantsGroups;
			
			public class UnoConnectionConnector : UnoConnectionsFactory {
				public UnoConnectionConnector (UnoObjectsContext a_localObjectsContext) : base (a_localObjectsContext) {
				initialize ();
				}
				
				public UnoConnection connect (String a_url, List <UnoConnectionEventsListener> a_eventListeners) {
					StringTokenizer l_urlTokenizer = new StringTokenizer (a_url, UnoGeneralConstantsConstantsGroup.c_connectionUrlDelimiter);
					XConnector l_unoConnectionConnectorInXConnector = (XConnector) i_localObjectsContext.getServiceInstance (UnoServiceNamesConstantsGroup.c_com_sun_star_connection_Connector, null);
					XConnection l_connectionInXConnection = l_unoConnectionConnectorInXConnector.connect (l_urlTokenizer.nextToken ());
					UnoConnection l_unoConnection = setupConnection (l_connectionInXConnection, l_urlTokenizer, DateTime.Now.ToString (), a_eventListeners);
					return l_unoConnection;
				}
			}
		}
	}
}

