#include <iostream>
#include <regex>
#include <string>
#ifdef __theBiasPlanet_coreUtilities__
	#include "theBiasPlanet/coreUtilities/collectionsHandling/ArraysFactory.tpp"
	#include "theBiasPlanet/coreUtilities/collectionsHandling/ListsFactory.tpp"
	#include "theBiasPlanet/coreUtilities/stringsHandling/StringHandler.tpp"
	#include "theBiasPlanet/coreUtilities/collections/NavigableLinkedMap.tpp"
	#include "theBiasPlanet/coreUtilities/constantsGroups/BaseEnumerableConstantsGroup.tpp"
#else
	#include "theBiasPlanet/coreUtilities/collectionsHandling/ArraysFactory.hpp"
	#include "theBiasPlanet/coreUtilities/collectionsHandling/ListsFactory.hpp"
	#include "theBiasPlanet/coreUtilities/stringsHandling/StringHandler.hpp"
	#include "theBiasPlanet/coreUtilities/collections/NavigableLinkedMap.hpp"
	#include "theBiasPlanet/coreUtilities/constantsGroups/BaseEnumerableConstantsGroup.hpp"
#endif
#include "theBiasPlanet/coreUtilities/visualCplusplusSpecificHeaders/VisualCplusplusSpecificDefinitions.hpp"

using namespace ::std;
using namespace ::theBiasPlanet::coreUtilities::collections;
using namespace ::theBiasPlanet::coreUtilities::collectionsHandling;
using namespace ::theBiasPlanet::coreUtilities::constantsGroups;
using namespace ::theBiasPlanet::coreUtilities::stringsHandling;

template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ string * ArraysFactory::createArray <string> (string * a_targetArray, list <string> const & a_list);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ list <string> ListsFactory::createList <string> (string const & a_currentElement);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ list <string> ListsFactory::createList <string, string> (string const & a_currentElement, string const & a_remainingElement0);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ list <string> ListsFactory::createList <string, string, string> (string const & a_currentElement, string const & a_remainingElement0, string const & a_remainingElement1);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ list <string> ListsFactory::createList <string, string, string, string, string> (string const & a_currentElement, string const & a_remainingElement0, string const & a_remainingElement1, string const & a_remainingElement2, string const & a_remainingElement3);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ list <string> ListsFactory::createList <string, string, string, string, string, string> (string const & a_currentElement, string const & a_remainingElement0, string const & a_remainingElement1, string const & a_remainingElement2, string const & a_remainingElement3, string const & a_remainingElement4);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ list <string> ListsFactory::createListExpandingItems <string> (string const & a_currentElement);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ list <string> ListsFactory::createListExpandingItems <string, list <string>> (string const & a_currentElement, list <string> const & a_remainingElement0);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ list <string> ListsFactory::createListExpandingItems <string> (list <string> const & a_currentElement);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ list <string> ListsFactory::createListExpandingItems <string, list <string>> (list <string> const & a_currentElement, list <string> const & a_remainingElement0);
//template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ ostringstream * StringHandler::format <int, double, string> (ostringstream * const a_resultStream, istringstream * const a_formatStream, int const & a_currentItem, double const & a_remainderItem0, string const & a_remainderItem1);
//template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ ostringstream * StringHandler::format <string> (ostringstream * const a_resultStream, istringstream * const a_formatStream, string const & a_currentItem);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ string StringHandler::format <string> (string const & a_formatString, string const & a_currentItem);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ string StringHandler::format <char> (string const & a_formatString, char const & a_currentItem);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ string StringHandler::format <int> (string const & a_formatString, int const & a_currentItem);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ string StringHandler::format <short> (string const & a_formatString, short const & a_currentItem);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ string StringHandler::format <string, string> (string const & a_formatString, string const & a_currentItem, string const & a_remainderItem0);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ string StringHandler::format <char, string> (string const & a_formatString, char const & a_currentItem, string const & a_remainderItem0);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ string StringHandler::format <string, string, string> (string const & a_formatString, string const & a_currentItem, string const & a_remainderItem0, string const & a_remainderItem1);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ string StringHandler::format <string, int, string> (string const & a_formatString, string const & a_currentItem, int const & a_remainderItem0, string const & a_remainderItem1);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ string StringHandler::format <int, int, int, bool, bool, bool> (string const & a_formatString, int const & a_currentItem, int const & a_remainderItem0, int const & a_remainderItem1, bool const & a_remainderItem2, bool const & a_remainderItem3, bool const & a_remainderItem4);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ string StringHandler::format <string, string, string, string, string, string, string> (string const & a_formatString, string const & a_currentItem, string const & a_remainderItem0, string const & a_remainderItem1, string const & a_remainderItem2, string const & a_remainderItem3, string const & a_remainderItem4, string const & a_remainderItem5);
template class __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ NavigableLinkedMap <string, int>;
template class __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ NavigableLinkedMap <string, string>;
template class __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ NavigableLinkedMap <char, int>;
template class __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ NavigableLinkedMap <int, char>;
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ pair <NavigableLinkedMap <string, int>::iterator, bool> NavigableLinkedMap <string, int>::emplace <string, int> (string && a_argument0, int && a_argument1);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ NavigableLinkedMap <string, int>::iterator NavigableLinkedMap <string, int>::emplace_hint <string, int> (NavigableLinkedMap <string, int>::const_iterator a_position, string && a_argument0, int && a_argument1);
template __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ NavigableLinkedMap <string, int>::NavigableLinkedMap (NavigableLinkedMap <string, int>::iterator a_iteratorPointedAtFirstElement, NavigableLinkedMap <string, int>::iterator a_iteratorPointedAtLastElementNotIncluded, NavigableLinkedMap <string, int>::key_compare const & a_keysComparer);
template class __theBiasPlanet_coreUtilities_symbolExportingOrImportingForVisualCplusplus__ BaseEnumerableConstantsGroup <string>;

